# Uses of Interface
org.apache.lucene.index.MergeState.DocMap

Packages that use MergeState.DocMap
Package
Description
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.util.bkd
Block KD-tree, implementing the generic spatial data structure described in this paper.
org.apache.lucene.util.hnsw
Navigable Small-World graph, nominally Hierarchical but currently only has a single layer.

- ## Uses of MergeState.DocMap in org.apache.lucene.index

  Fields in org.apache.lucene.index declared as MergeState.DocMap
  Modifier and Type
  Field
  Description
  `final MergeState.DocMap`
  DocIDMerger.Sub.`docMap`
  Map from old to new doc IDs
  `final MergeState.DocMap[]`
  MergeState.`docMaps`
  Maps document IDs from old segments to document IDs in the new segment
  Constructors in org.apache.lucene.index with parameters of type MergeState.DocMap
  Modifier
  Constructor
  Description
  ``
  `MergeState(MergeState.DocMap[] docMaps, SegmentInfo segmentInfo, FieldInfos mergeFieldInfos, StoredFieldsReader[] storedFieldsReaders, TermVectorsReader[] termVectorsReaders, NormsProducer[] normsProducers, DocValuesProducer[] docValuesProducers, FieldInfos[] fieldInfos, Bits[] liveDocs, FieldsProducer[] fieldsProducers, PointsReader[] pointsReaders, KnnVectorsReader[] knnVectorsReaders, int[] maxDocs, InfoStream infoStream, Executor intraMergeTaskExecutor, boolean needsIndexSort)`
  Create a new merge instance.
  `protected`
  `Sub(MergeState.DocMap docMap)`
  Sole constructor

- ## Uses of MergeState.DocMap in org.apache.lucene.util.bkd

  Method parameters in org.apache.lucene.util.bkd with type arguments of type MergeState.DocMap
  Modifier and Type
  Method
  Description
  `IORunnable`
  BKDWriter.`merge(IndexOutput metaOut, IndexOutput indexOut, IndexOutput dataOut, List<MergeState.DocMap> docMaps, List<PointValues> readers)`
  More efficient bulk-add for incoming `PointValues`s.

- ## Uses of MergeState.DocMap in org.apache.lucene.util.hnsw

  Methods in org.apache.lucene.util.hnsw that return MergeState.DocMap
  Modifier and Type
  Method
  Description
  `MergeState.DocMap`
  IncrementalHnswGraphMerger.GraphReader.`initDocMap()`
  Returns the value of the `initDocMap` record component.
  Methods in org.apache.lucene.util.hnsw with parameters of type MergeState.DocMap
  Modifier and Type
  Method
  Description
  `HnswGraphMerger`
  HnswGraphMerger.`addReader(KnnVectorsReader reader, MergeState.DocMap docMap, Bits liveDocs)`
  Adds a reader to the graph merger to record the state
  `IncrementalHnswGraphMerger`
  IncrementalHnswGraphMerger.`addReader(KnnVectorsReader reader, MergeState.DocMap docMap, Bits liveDocs)`
  Adds a reader to the graph merger if it meets the following criteria: 1.
  Constructors in org.apache.lucene.util.hnsw with parameters of type MergeState.DocMap
  Modifier
  Constructor
  Description
  `protected`
  `GraphReader(KnnVectorsReader reader, MergeState.DocMap initDocMap, int graphSize)`
  Creates an instance of a `GraphReader` record class.